Skip to main content
GET
/
products
/
{productId}
Get product by ID
curl --request GET \
  --url https://dashboard.scango.ch/api/v1/products/{productId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://dashboard.scango.ch/api/v1/products/{productId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://dashboard.scango.ch/api/v1/products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "a1b2c3",
    "name": "Mineral water 50cl",
    "price": 120,
    "barcode": "7610800001234",
    "taxCategory": "2.6",
    "category": "cat_01",
    "supplier": "sup_01",
    "description": "",
    "showOnHomescreen": true,
    "showOnScreen": true,
    "ageRestriction": false,
    "showOnScale": false,
    "saleStop": false
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

productId
string
required

ID of the product to retrieve

Response

200 - application/json

Product details

data
object